petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoGetType

Gets the current Tao algorithm.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetType(Tao tao,TaoType *type)

Not Collective

### Input Parameter

tao -the Tao solver context

### Output Parameter

type -Tao method

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages